> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onswitch.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallets

> Returns paginated stablecoin wallets



## OpenAPI

````yaml /openapi.json get /wallets
openapi: 3.0.3
info:
  title: Receive stablecoin. Get fiat in seconds.
  description: Stablecoin collection and settlement layer.
  version: 1.0.0
  contact:
    name: Switch Labs
    email: contact@onswitch.xyz
  license:
    name: Proprietary
  x-tagGroups:
    - name: Institution
      tags:
        - Institution
    - name: Miscellaneous
      tags:
        - Miscellaneous
    - name: History
      tags:
        - History
    - name: Payment
      tags:
        - Payment
    - name: Webhook
      tags:
        - Webhook
    - name: Offramp
      tags:
        - Offramp
    - name: Onramp
      tags:
        - Onramp
    - name: Swap
      tags:
        - Swap
    - name: Developer
      tags:
        - Developer
    - name: Wallet
      tags:
        - Wallet
    - name: Compliance
      tags:
        - Compliance
servers:
  - url: https://api.onswitch.xyz
    description: Production server
security: []
tags:
  - name: Institution
    description: Institution discovery and bank or payment-rail lookup
  - name: Miscellaneous
    description: Requirements, coverage, assets, confirmation, and transaction status
  - name: History
    description: Payment history and summaries for the partner's account
  - name: Payment
    description: Saved payment beneficiaries, payment confirmation, and status
  - name: Webhook
    description: Webhook delivery history and callback resend
  - name: Offramp
    description: Offramp transaction endpoints for converting stablecoins to local currency
  - name: Onramp
    description: Onramp transaction endpoints for converting local currency to stablecoins
  - name: Swap
    description: Swap endpoints for exchanging between different stablecoin assets
  - name: Developer
    description: Developer fee balance and withdrawal
  - name: Wallet
    description: >-
      Wallet endpoints for creating and managing chain abstracted stablecoin
      wallets
  - name: Compliance
    description: AML compliance screening for PEP, sanctions, and other regulatory reasons
paths:
  /wallets:
    get:
      tags:
        - Wallet
      summary: Get wallets
      description: Returns paginated stablecoin wallets
      operationId: getWallets
      parameters:
        - name: name
          in: query
          required: false
          description: Filter by wallet name
          schema:
            type: string
            maxLength: 200
        - name: address
          in: query
          required: false
          description: Filter by any wallet address
          schema:
            type: string
            maxLength: 200
        - name: page
          in: query
          required: false
          description: Results page number. Default 1.
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: limit
          in: query
          required: false
          description: Results per page. Default 10, maximum 100.
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
      responses:
        '200':
          description: Wallets retrieved successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                  - timestamp
                  - data
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  timestamp:
                    type: string
                    format: date-time
                  data:
                    type: object
                    required:
                      - data
                      - page
                      - limit
                      - total
                      - pages
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            callback_url:
                              type: string
                            address:
                              type: object
                              additionalProperties:
                                type: string
                      page:
                        type: integer
                      limit:
                        type: integer
                      total:
                        type: integer
                      pages:
                        type: integer
              example:
                success: true
                message: Wallets retrieved successfully
                timestamp: '2026-04-18T14:22:08.631Z'
                data:
                  data:
                    - id: 68d4f2a91eb37c15b8e3a4f7
                      name: Treasury wallet
                      callback_url: https://hooks.partner.dev/switch/wallet
                      address:
                        BASE: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                        ETHEREUM: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                        SOLANA: 2dTHot2BVjqqGD3S5Z2bzEVYnyEcJCdr9SawzqTdKo4h
                    - id: 71e8c3b42fa91d06c2f4a8e1
                      name: Payout reserve
                      callback_url: https://hooks.partner.dev/switch/payout
                      address:
                        BASE: '0x7fE2D91c4B06381A9f064E9053a4d2E8F1c0b6D93a'
                        BSC: '0x7fE2D91c4B06381A9f064E9053a4d2E8F1c0b6D93a'
                  page: 1
                  limit: 10
                  total: 2
                  pages: 1
        '400':
          $ref: '#/components/responses/BadRequest'
      security:
        - ServiceKey: []
components:
  responses:
    BadRequest:
      description: Bad request - Invalid input parameters or validation error
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - message
              - timestamp
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                description: Error message describing what went wrong
              timestamp:
                type: string
                format: date-time
              data:
                description: Additional error details
                nullable: true
          example:
            success: false
            message: amount must be greater than 0 for the selected corridor
            timestamp: '2026-04-18T14:22:08.631Z'
            data: null
  securitySchemes:
    ServiceKey:
      type: apiKey
      in: header
      name: x-service-key
      description: Service key for API authentication

````